## osmo-sgsn 0.1.0.20170821

=== debian/changelog ===
osmo-sgsn (0.1.0.20170821) UNRELEASED; urgency=medium

  * Snapshot build

 -- Alexander Couzens <lynxis@fe80.eu>  Mon, 21 Aug 2017 04:45:29 +0200

osmo-sgsn (0.1.0) unstable; urgency=low

  * Initial release.

 -- Alexander Couzens <lynxis@fe80.eu>  Tue, 08 Aug 2017 01:13:05 +0000
