## osmo-sgsn 1.3.0

=== debian/changelog ===
osmo-sgsn (1.3.0-2) unstable; urgency=low

  * Fix test suite on some architectures by comparing with ENOTSUP in test suite
    - 0002-Compare-with-ENOTSUP-to-fix-build-on-mipsel-mips64el.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 15 Nov 2018 21:56:53 +0100

osmo-sgsn (1.3.0-1) unstable; urgency=low

  * Upload to unstable
  * Fix section of links to man pages

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 12 Nov 2018 20:08:46 +0100

osmo-sgsn (1.3.0-1~exp1) experimental; urgency=low

  * Initial release. (Closes: #909429)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 26 Sep 2018 21:21:44 +0200
