=== debian/control ===
Source: osmo-sgsn
Section: net
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>=11),
               pkg-config,
               libtalloc-dev,
               libc-ares-dev,
               libgtp-dev (>= 1.2.2-2~exp1),
               libosmocore-dev (>= 0.11.0),
               libosmo-abis-dev,
               libosmo-ranap-dev,
               libosmo-sccp-dev,
               libosmo-netif-dev,
               libosmo-sigtran-dev (>= 0.9.0),
               osmo-libasn1c-dev (>= 0.9.30),
               txt2man
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-sgsn.git
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-sgsn
Homepage: https://osmocom.org/projects/osmosgsn/wiki/OsmoSGSN


Package: osmo-sgsn
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: osmocom-sgsn
Description: Serving GPRS Support Node for 2G and 3G networks
 For setting up a 2G network with data network support, this package is needed
 .
 The SGSN implements
  - the Gb interface to the BSS's (like the OsmoPCU or an ip.access nanoBTS)
  - the Gp interface with its GTP protocol to one or more Gateway GPRS Support
    Node (GGSN) like OsmoGGSN.
  - the IuPS interface with its RANAP protocol to onre or more RNCs or HNB-GWs
    like OsmoHNBGW
  - the GSUP Interface/Protocol towards OsmoHLR

Package: osmo-gtphub
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Proxy for GTP traffic between multiple SGSNs and GGSNs
 This package is part of osmo-sgsn and provides a proxy for GTP traffic
 between multiple SGSNs and GGSNs.
 .
 The SGSN implements
  - the Gb interface to the BSS's (like the OsmoPCU or an ip.access nanoBTS)
  - the Gp interface with its GTP protocol to one or more Gateway GPRS Support
    Node (GGSN) like OsmoGGSN.
  - the IuPS interface with its RANAP protocol to onre or more RNCs or HNB-GWs
    like OsmoHNBGW
  - the GSUP Interface/Protocol towards OsmoHLR

Package: osmo-gbproxy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmo-sgsn
Conflicts: osmocom-gbproxy
Description: GPRS Gb Interface Proxy
 The purpose of the Gb proxy is to aggregate the Gb links of multiple
 BSS's and present them in one Gb link to the SGSN.
 .
 The SGSN implements
  - the Gb interface to the BSS's (like the OsmoPCU or an ip.access nanoBTS)
  - the Gp interface with its GTP protocol to one or more Gateway GPRS Support
    Node (GGSN) like OsmoGGSN.
  - the IuPS interface with its RANAP protocol to onre or more RNCs or HNB-GWs
    like OsmoHNBGW
  - the GSUP Interface/Protocol towards OsmoHLR
