## osmo-sgsn 1.6.0.2.91a8b

=== debian/changelog ===
osmo-sgsn (1.6.0.2.91a8b) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Sun, 09 Feb 2020 01:29:20 +0000
