=== debian/control ===
Source: osmo-sgsn
Section: net
Priority: extra
Maintainer: Alexander Couzens <lynxis@fe80.eu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libtalloc-dev,
               libc-ares-dev,
               libgtp-dev (>= 1.5.0),
               libosmocore-dev (>= 1.2.0),
               libosmo-abis-dev (>= 0.6.0),
               libosmo-netif-dev (>= 0.4.0),
               libosmo-gsup-client-dev (>= 1.0.0),
               libasn1c-dev (>= 0.9.30),
               libosmo-ranap-dev (>= 0.6.0),
               libosmo-sigtran-dev (>= 1.0.0),
               libosmo-sccp-dev (>= 1.0.0),
               osmo-gsm-manuals-dev
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-sgsn.git
Vcs-Browser: https://git.osmocom.org/osmo-sgsn
Homepage: https://projects.osmocom.org/projects/osmo-sgsn


Package: osmo-sgsn
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks

Package: osmo-sgsn-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmocom-nightly, osmo-sgsn (= ${binary:Version}), ${misc:Depends}
Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks

Package: osmo-gtphub
Architecture: any
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: Osmocom GTP Hub: Proxy for GTP traffic between multiple SGSNs and GGSNs

Package: osmo-gtphub-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly, osmo-gtphub (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for Osmocom GTP Hub

Package: osmo-gbproxy
Architecture: any
Depends: osmocom-nightly, ${shlibs:Depends},
         ${misc:Depends}
Recommends: osmo-sgsn
Description: Osmocom GPRS Gb Interface Proxy
 The purpose of the Gb proxy is to aggregate the Gb links of multiple
 BSS's and present them in one Gb link to the SGSN.

Package: osmo-gbproxy-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly, osmo-gbproxy (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for Osmocom GPRS Gb Interface Proxy

Package: osmo-sgsn-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.
