=== debian/control ===
--- 
+++ 
@@ -31,31 +31,31 @@
 Package: osmo-sgsn
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
 Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks
 
 Package: osmo-sgsn-dbg
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, osmo-sgsn (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-sgsn (= ${binary:Version}), ${misc:Depends}
 Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks
 
 Package: osmo-gtphub
 Architecture: any
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom GTP Hub: Proxy for GTP traffic between multiple SGSNs and GGSNs
 
 Package: osmo-gtphub-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-gtphub (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-gtphub (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for Osmocom GTP Hub
 
 Package: osmo-gbproxy
 Architecture: any
-Depends: osmocom-nightly, ${shlibs:Depends},
+Depends: osmocom-latest, ${shlibs:Depends},
          ${misc:Depends}
 Recommends: osmo-sgsn
 Description: Osmocom GPRS Gb Interface Proxy
@@ -66,14 +66,14 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-gbproxy (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-gbproxy (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for Osmocom GPRS Gb Interface Proxy
 
 Package: osmo-sgsn-doc
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
