## osmo-sgsn 1.6.2+dfsg1

=== debian/changelog ===
osmo-sgsn (1.6.2+dfsg1-3build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:58:00 +0100

osmo-sgsn (1.6.2+dfsg1-3build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:07:33 +0000

osmo-sgsn (1.6.2+dfsg1-3) unstable; urgency=medium

  * upload to unstable
  * mark tests as superficial (Closes: #971492) 
  * add patch to avoid possible null dereferences (Closes: #976866)
    thanks a lot to Steve Langasek

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Dec 2020 11:27:01 +0100

osmo-sgsn (1.6.2+dfsg1-2) experimental; urgency=medium

  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 22:27:01 +0100

osmo-sgsn (1.6.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 20 Aug 2020 04:27:01 +0000

osmo-sgsn (1.3.0-3) unstable; urgency=low

  * add patch for gcc10 (Closes: #957655)
  * debian/control: add myself to uploaders
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Aug 2020 19:28:26 +0200
