=== debian/control ===
Source: osmo-sgsn
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libtalloc-dev,
               libc-ares-dev,
               libgtp-dev (>= 1.7.0),
               libosmocore-dev (>= 1.5.0),
               libosmo-abis-dev (>= 1.1.0),
               libosmo-netif-dev (>= 1.1.0),
               libosmo-gsup-client-dev (>= 1.3.0),
               libasn1c-dev (>= 0.9.30),
               libosmo-ranap-dev (>= 0.7.0),
               libosmo-sigtran-dev (>= 1.4.0),
               libosmo-sccp-dev (>= 1.4.0),
               osmo-gsm-manuals-dev (>= 1.1.0)
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-sgsn.git
Vcs-Browser: https://git.osmocom.org/osmo-sgsn
Homepage: https://projects.osmocom.org/projects/osmo-sgsn


Package: osmo-sgsn
Architecture: any
Multi-Arch: foreign
Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks

Package: osmo-sgsn-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, osmo-sgsn (= ${binary:Version}), ${misc:Depends}
Description: OsmoSGSN: Osmocom's Serving GPRS Support Node for 2G and 3G packet-switched mobile networks

Package: osmo-gtphub
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: Osmocom GTP Hub: Proxy for GTP traffic between multiple SGSNs and GGSNs

Package: osmo-gtphub-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmo-gtphub (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for Osmocom GTP Hub

Package: osmo-sgsn-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-latest, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.
