## osmo-sgsn 1.7.1

=== debian/changelog ===
osmo-sgsn (1.7.1) unstable; urgency=medium

  * gtphub: remove llist_first, llist_last macros
  * debian/control: remove dh-systemd build-depend

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 06 Sep 2021 17:07:35 +0200
