=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                pkg-config,
                libtalloc-dev,
                libc-ares-dev,
-               libgtp-dev (>= 1.7.0),
-               libosmocore-dev (>= 1.5.0),
-               libosmo-abis-dev (>= 1.1.0),
+               libgtp-dev (>= 1.8.0),
+               libosmocore-dev (>= 1.6.0),
+               libosmo-abis-dev (>= 1.2.0),
                libosmo-netif-dev (>= 1.1.0),
-               libosmo-gsup-client-dev (>= 1.3.0),
+               libosmo-gsup-client-dev (>= 1.4.0),
                libasn1c-dev (>= 0.9.30),
-               libosmo-ranap-dev (>= 0.7.0),
-               libosmo-sigtran-dev (>= 1.4.0),
-               libosmo-sccp-dev (>= 1.4.0),
-               osmo-gsm-manuals-dev (>= 1.1.0)
+               libosmo-ranap-dev (>= 0.8.0),
+               libosmo-sigtran-dev (>= 1.5.0),
+               libosmo-sccp-dev (>= 1.5.0),
+               osmo-gsm-manuals-dev (>= 1.2.0)
 Standards-Version: 3.9.8
 Vcs-Git: git://git.osmocom.org/osmo-sgsn.git
 Vcs-Browser: https://git.osmocom.org/osmo-sgsn
