=== debian/control ===
Source: osmo-sgsn
Section: net
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
         , Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (=13),
               pkg-config,
               libtalloc-dev,
               libc-ares-dev,
               libgtp-dev (>= 1.8.0),
               libosmocore-dev (>= 1.5.0),
               libosmo-abis-dev (>= 1.2.0),
               libosmo-ranap-dev (>= 0.8.0),
               libosmo-sccp-dev (>= 1.3.0),
               libosmo-netif-dev (>= 1.1.0),
               libosmo-sigtran-dev (>= 1.5.0),
               osmo-libasn1c-dev (>= 0.9.30),
               libosmo-gsup-client-dev (>= 1.4.0),
               txt2man
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-sgsn.git
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-sgsn
Homepage: https://osmocom.org/projects/osmosgsn/wiki/OsmoSGSN


Package: osmo-sgsn
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: osmocom-sgsn
Description: Serving GPRS Support Node for 2G and 3G networks
 For setting up a 2G network with data network support, this package is needed
 .
 The SGSN implements
  - the Gb interface to the BSS's (like the OsmoPCU or an ip.access nanoBTS)
  - the Gp interface with its GTP protocol to one or more Gateway GPRS Support
    Node (GGSN) like OsmoGGSN.
  - the IuPS interface with its RANAP protocol to onre or more RNCs or HNB-GWs
    like OsmoHNBGW
  - the GSUP Interface/Protocol towards OsmoHLR

Package: osmo-gtphub
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Proxy for GTP traffic between multiple SGSNs and GGSNs
 This package is part of osmo-sgsn and provides a proxy for GTP traffic
 between multiple SGSNs and GGSNs.
 .
 The SGSN implements
  - the Gb interface to the BSS's (like the OsmoPCU or an ip.access nanoBTS)
  - the Gp interface with its GTP protocol to one or more Gateway GPRS Support
    Node (GGSN) like OsmoGGSN.
  - the IuPS interface with its RANAP protocol to onre or more RNCs or HNB-GWs
    like OsmoHNBGW
  - the GSUP Interface/Protocol towards OsmoHLR
